# ==============================================================================
# TPCH Benchmark Infrastructure Configuration
# ==============================================================================
# This file drives setup-tpch-bench.sh. Edit values here before running.

# --- Bucket configuration ---
# The GCS and S3 buckets containing TPCH test data that environments need to read.
gcs_bucket: chalk-tpch-test-sandbox-data
gcs_project: chalk-develop
s3_bucket: chalk-tpch-test-sandbox-data

# --- GCS bucket access role ---
# roles/storage.objectViewer = read-only (recommended for benchmark input data)
# roles/storage.admin = read/write (if benchmarks write results back to the bucket)
gcs_role: roles/storage.objectViewer

# --- AWS accounts ---
# The playground account where the S3 bucket lives.
playground_aws_account_id: "009160067517"
# The staging account where the benchmark environment runs.
staging_aws_account_id: "317932201237"

# --- AWS CLI profile ---
# Profile with access to the playground account (009160067517).
# Create with: chalkadmin aws envtoken <playground-env> --plane <plane>
# Leave empty to be prompted at runtime.
aws_playground_profile: "localapi"

# --- Cross-cloud service accounts (infrastructure-determined) ---
# These are created by the aws-workload-pool module in chalk-infra.
# One per AWS account. Change only if the infra has been reconfigured.
remotedev_cross_cloud_sa: aws-workload-009160067517@chalk-infra.iam.gserviceaccount.com
staging_cross_cloud_sa: aws-workload-317932201237@chalk-infra.iam.gserviceaccount.com

# --- BigQuery custom role (infrastructure-determined) ---
# Org-level role from infra/gcp/envs/management/custom_roles.tf.
bq_engine_role: organizations/1092617541140/roles/chalk.engineWorkerBigQuery

# --- Chalk staging project ---
# Name of the project to create on the staging Chalk control plane.
chalk_project: bench

# --- Staging environment ---
# Environment ID. Determines namespace (ns-{id}), URL ({id}.awsstaging...), etc.
environment_id: tpch-test-aws

# --- Valkey (Redis) online store ---
# Cluster name for the shared Valkey instance.
valkey_cluster_id: tpch-bench-online-store

# --- Staging Terraform directory ---
staging_envs_dir: ~/chalk-private/infra/staging-environments
